Master CRM - Operational #2190
Order Management - Affiliate orders
10/20/2021 04:22 PM - hira naseem

Status: Resolved Start date: 10/20/2021
Priority: High Due date:

Assignee: hira naseem % Done: 20%
Category: Estimated time: 24.00 hours
Target version:

Description

In order management, we need to add another platform i.e. Affiliate orders from which we have to fetch orders and update orders. We
need to add a new column (order_source) in the orders table to distinguish the orders, its values would be affiliate, web.

Crewlogix has developed the following APIs for this purpose.

we need to call these APIs on the following points:

1. when order status changes from CRM, update status API should be called to update status in the affiliate order system.
2. When an order is edited in CRM, it will reflect in the affiliate system as well. we have the API for this as well

3. when order is split from CRM, it will create new split orders in affiliate orders.

(at time when order status dispatched and system ask for consignment number, that consignment number should also sent to affiliate
system)

https://docs.google.com/spreadsheets/d/109aNxdBoZBggOfB 2lwMv8oBel 198QtsTdrEjckAW3E/edit#gid=0

History

#1 - 10/21/2021 02:49 PM - shehroz akhtar
- Estimated time set to 24.00

#2 - 10/21/2021 02:50 PM - shehroz akhtar

21-10-2021

Affiliate Order Api review and required params fulfilment with collaboration of crewlogicx

Order and order items fetch code (cont)

#3 - 10/22/2021 03:14 PM - shehroz akhtar

22-10-2021

Order and order items fetch complete

insert order api code

#4 - 10/25/2021 03:31 PM - shehroz akhtar

25-10-2021

Order Status Update

Order Create On Split (cont)
Remaining Api Discussion
https://docs.google.com/spreadsheets/d/1o9aNxdBoZBggOfB_2IwMv8oBeL198QtsTdrEjckAW3E/edit#gid=0

#5 - 10/27/2021 02:50 PM - shehroz akhtar

27-10-2021

Completed remaining points

#6 - 10/29/2021 04:15 PM - shehroz akhtar
29-10-2021
Issues related to commission calculation

Issues related to webhook of order

Issues related to permissions

#7 - 11/25/2021 08:45 AM - hira naseem
- Status changed from In Progress to Resolved

- Assignee changed from shehroz akhtar to hira naseem
